/*******************************************************************************
 * Copyright (c)  2002, 2006 Naci Dai, Eteration A.S. and others.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 * 
 * Contributors:
 *     Naci Dai  - initial API and implementation
 *     Eteration A.S.   
 *******************************************************************************/
@portletpackage@

import java.io.IOException;
import javax.portlet.*;

public class @portletclass@ extends GenericPortlet {

	/**
	 * A life cycle method. This method gets inovked by the container.
	 * 
	 * @param pConfig
	 *            a object that holds the portlet configuration information
	 * 
	 * @throws PortletException
	 *             an exception that you throw if things go wrong while starting
	 *             the portlet
	 */
	public void init(PortletConfig pConfig) throws PortletException {
		super.init(pConfig);
	}

	/**
	 * The GenericPortlet calls this method if the portlet mode is view
	 * 
	 * @param portletRequest
	 *            the request
	 * @param portletResponse
	 *            the response
	 * 
	 * @throws PortletException
	 * @throws IOException
	 */
	public void doView(RenderRequest portletRequest,
			RenderResponse portletResponse) throws PortletException,
			IOException {
		WindowState state = portletRequest.getWindowState();
		portletResponse.setContentType("text/html");

		PortletContext context = getPortletContext();
		PortletRequestDispatcher rd = context
				.getRequestDispatcher("/index.jsp");
		rd.include(portletRequest, portletResponse);
	}

	/**
	 * The GenericPortlet calls this method if the portlet mode is edit
	 * 
	 * @param portletRequest
	 *            the request
	 * @param portletResponse
	 *            the response
	 * 
	 * @throws PortletException
	 * @throws IOException
	 */
	public void doEdit(RenderRequest portletRequest,
			RenderResponse portletResponse) throws PortletException,
			IOException {
		WindowState state = portletRequest.getWindowState();
		portletResponse.setContentType("text/html");

		PortletContext context = getPortletContext();
		PortletRequestDispatcher rd = context
				.getRequestDispatcher("/index.jsp");
		rd.include(portletRequest, portletResponse);
	}

	/**
	 * The GenericPortlet calls this method if the portlet mode is help
	 * 
	 * @param pRequest
	 *            the request
	 * @param pResponse
	 *            the response
	 * 
	 * @throws PortletException
	 * @throws IOException
	 */
	public void doHelp(RenderRequest portletRequest,
			RenderResponse portletResponse) throws PortletException,
			IOException {
		WindowState state = portletRequest.getWindowState();
		portletResponse.setContentType("text/html");

		PortletContext context = getPortletContext();
		PortletRequestDispatcher rd = context
				.getRequestDispatcher("/index.jsp");
		rd.include(portletRequest, portletResponse);
	}

	public void processAction(ActionRequest request, ActionResponse response)
			throws PortletException, IOException {
		WindowState state = request.getWindowState();
		if (state != WindowState.MAXIMIZED) {
			response.setWindowState(WindowState.MAXIMIZED);
		} else {
			response.setWindowState(WindowState.NORMAL);
		}
	}
}
